### Method

# Gtk FontDialog choose_font_and_features

since: 4.10

#### Declaration [src]

    void
    gtk_font_dialog_choose_font_and_features (
      GtkFontDialog* self,
      GtkWindow* parent,
      PangoFontDescription* initial_value,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function initiates a font selection operation by presenting a dialog to the user for selecting a font and font features.

Font features affect how the font is rendered, for example enabling glyph variants or ligatures.

The `callback` will be called when the dialog is dismissed. It should call `gtk_font_dialog_choose_font_and_features_finish()` to obtain the result.

Available since: 4.10

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent `GtkWindow`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`initial_value`

  Type: `PangoFontDescription`

  The font to select initially.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.